## pnmenc pnmenc |

## Properties

gboolean | ascii | Read / Write

## Types and Values

struct | GstPnmenc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoEncoder
                        ╰── GstPnmenc

## Implemented Interfaces

GstPnmenc implements GstPreset.

## Description

Encodes pnm images. This plugin supports both raw and ASCII encoding. To enable ASCII encoding, set the parameter ascii to TRUE. If you omit the parameter or set it to FALSE, the output will be raw encoded.

#### Example launch line

    1
    gst-launch-1.0 videotestsrc num_buffers=1 ! videoconvert ! "video/x-raw,format=GRAY8" ! pnmenc ascii=true ! filesink location=test.pnm

The above pipeline writes a test pnm file (ASCII encoding).

## Synopsis

### Element Information

plugin | pnm
author | Lutz Mueller <lutz@users.sourceforge.net>
class | Codec/Encoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | image/x-portable-bitmap
| image/x-portable-graymap
| image/x-portable-pixmap
| image/x-portable-anymap

## Functions

## Types and Values

### struct GstPnmenc

    struct GstPnmenc;

## Property Details

### The `“ascii”` property

      “ascii”                    gboolean

The output will be ASCII encoded.

Flags: Read / Write

Default value: FALSE